Get asset details
curl --request GET \
--url https://api.messari.io/metrics/v2/assets/details \
--header 'X-Messari-API-Key: <api-key>'import requests
url = "https://api.messari.io/metrics/v2/assets/details"
headers = {"X-Messari-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Messari-API-Key': '<api-key>'}};
fetch('https://api.messari.io/metrics/v2/assets/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"data": [
{
"id": "1e31218a-e44e-4285-820c-8282ee222035",
"name": "Bitcoin",
"slug": "bitcoin",
"symbol": "BTC",
"rank": 1,
"category": "Cryptocurrency",
"sector": "Cryptocurrency",
"sectorV2": [
"Networks"
],
"subSectorV2": [
"Layer-1"
],
"tags": [
"Proof-of-Work"
],
"description": "Bitcoin is the first distributed, [consensus-based](https://messari.io/resource/distributed-systems), censorship-resistant, permissionless, peer-to-peer payment settlement network with a provably scarce, programmable, native currency. The Bitcoin network is an emergent decentralized monetary institution that exists through the interplay of [full nodes](https://messari.io/resource/node), [miners](https://messari.io/resource/mining), and developers. Furthermore, it is set by a social contract created and opted into by the network’s users, which is hardened through [game theory](https://messari.io/c/resource/game-theory) and [cryptography](https://messari.io/resource/cryptography).",
"links": [
{
"name": "Reddit",
"url": "https://www.reddit.com/r/Bitcoin/"
},
{
"name": "Telegram",
"url": "http://t.me/bitcoin"
},
{
"name": "Twitter",
"url": "https://x.com/bitcoin"
},
{
"name": "Whitepaper",
"url": "https://bitcoin.org/bitcoin.pdf"
},
{
"name": "Github",
"url": "https://github.com/bitcoin/bitcoin"
}
],
"marketData": {
"priceUsd": 79530.19499363571,
"priceBtc": 1,
"priceEth": 31.939919414479906,
"priceAt": "2026-08-25T01:53:00Z",
"firstPriceAt": "2010-07-21T23:00:00Z",
"volume24Hour": 25975668831.467796,
"ohlcv1HourUsd": {
"open": 79731.44807612435,
"high": 79973.29513146801,
"low": 79490.22256351278,
"close": 79530.19499363571,
"volume": 881153734.4973136
},
"ohlcv24HourUsd": {
"open": 76945.16880393501,
"high": 79982.43786068354,
"low": 76700.99802998474,
"close": 79530.19499363571,
"volume": 25975668831.467796
},
"ohlcvTodayUsd": {
"open": 78969.81857192001,
"high": 79973.29513146801,
"low": 78713.25233572445,
"close": 79530.19499363571,
"volume": 1909062718.4637263
},
"supply": {
"circulating": 20071518,
"total": 20071518,
"max": 21000000
},
"marketcap": {
"circulatingUsd": 1603453246717,
"fullyDilutedUsd": 1603453246717.211,
"dominance": 58.6743
}
},
"networkSlugs": [
"bitcoin"
],
"protocolSlugs": [],
"returnOnInvestment": {
"priceChange24h": 3.3958355900563073,
"priceChange7d": 23.995486737167784,
"priceChange30d": 23.462191512402136,
"priceChange1y": -29.655801560914334,
"priceChange3y": 205.8709998539287,
"priceChange5y": 69.60373417091355,
"priceChangeMTD": 26.613560328841533,
"priceChangeQTD": 35.82967514844355,
"priceChangeYTD": -9.111349105649321
},
"allTimeHigh": {
"allTimeHigh": 126238.2220708942,
"allTimeHighDate": "2025-10-06T18:00:00Z",
"allTimeHighTimeSinceSeconds": 27849480,
"allTimeHighPercentDown": 36.99990883191281,
"breakevenMultiple": 1.5872992903009508,
"cycleLow": 57854.64489846412,
"cycleLowDate": "2026-07-01T01:00:00Z",
"cycleLowTimeSinceSeconds": 4755480,
"cycleLowPercentUp": 37.46553130386083
},
"contractAddresses": []
},
{
"id": "b3d5d66c-26a2-404c-9325-91dc714a722b",
"name": "Solana",
"slug": "solana",
"symbol": "SOL",
"rank": 7,
"category": "Networks",
"sector": "Smart Contract Platform",
"sectorV2": [
"Others",
"Networks"
],
"subSectorV2": [
"SEC Alleged Securities",
"Layer-1"
],
"tags": [
"Proof-of-Stake",
"SEC Alleged Securities",
"Stakeable"
],
"description": "Solana is a Layer-1 blockchain network that provides infrastructure for decentralized applications, emphasizing high throughput, low transaction costs, and support for LLVM-compatible smart contracts. It is designed to minimize performance constraints typically faced by developers.",
"links": [
{
"name": "CB Insights",
"url": "https://www.cbinsights.com/company/solana-labs"
},
{
"name": "Blog",
"url": "https://solana.com/news"
},
{
"name": "LinkedIn",
"url": "https://www.linkedin.com/company/solanalabs"
},
{
"name": "Pitchbook",
"url": "https://pitchbook.com/profiles/company/227820-52"
},
{
"name": "Crunchbase",
"url": "https://www.crunchbase.com/organization/solana-io"
}
],
"marketData": {
"priceUsd": 100.20752498324322,
"priceBtc": 0.0012599934526912977,
"priceEth": 0.04024408934173235,
"priceAt": "2026-08-25T01:53:00Z",
"firstPriceAt": "2020-04-10T04:00:00Z",
"volume24Hour": 4863256751.275651,
"ohlcv1HourUsd": {
"open": 101.7656535298781,
"high": 102.4290680812433,
"low": 100.18401572221552,
"close": 100.20752498324322,
"volume": 266805954.1508444
},
"ohlcv24HourUsd": {
"open": 93.90336625897292,
"high": 102.4290680812433,
"low": 93.314522452209,
"close": 100.20752498324322,
"volume": 4863256751.275651
},
"ohlcvTodayUsd": {
"open": 98.87996437524579,
"high": 102.4290680812433,
"low": 98.66351696768402,
"close": 100.20752498324322,
"volume": 1022135245.942657
},
"supply": {
"circulating": 583276610.3383662,
"total": 632749687.2066673,
"max": 0
},
"marketcap": {
"circulatingUsd": 59727232252,
"fullyDilutedUsd": 64793176035.49797,
"dominance": 2.1856
}
},
"networkSlugs": [
"solana"
],
"protocolSlugs": [
"solana"
],
"returnOnInvestment": {
"priceChange24h": 6.758885116117631,
"priceChange7d": 32.664251691293394,
"priceChange30d": 34.04869001943003,
"priceChange1y": -51.56636283183186,
"priceChange3y": 394.22506822571836,
"priceChange5y": 33.711219771301224,
"priceChangeMTD": 37.67550803702086,
"priceChangeQTD": 36.22414650182056,
"priceChangeYTD": -19.473921604318946
},
"allTimeHigh": {
"allTimeHigh": 294.51538872508485,
"allTimeHighDate": "2025-01-19T11:00:00Z",
"allTimeHighTimeSinceSeconds": 50338680,
"allTimeHighPercentDown": 65.97545363689574,
"breakevenMultiple": 2.939054614654278,
"cycleLow": 60.31919725339023,
"cycleLowDate": "2026-06-06T05:00:00Z",
"cycleLowTimeSinceSeconds": 6901080,
"cycleLowPercentUp": 66.12874432378337
},
"contractAddresses": [
{
"networkName": "Solana",
"networkSlug": "solana",
"contractAddress": "So11111111111111111111111111111111111111112"
}
]
}
],
"metadata": {
"pageSize": 10,
"page": 1,
"totalRows": 2,
"totalPages": 1
}
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}Assets & Market Data (included with Enterprise)
Get Asset Details
Returns detailed information for up to 20 assets specified by their ids or slugs.
GET
/
metrics
/
v2
/
assets
/
details
Get asset details
x402 Support: Supported.
See the x402 guide.
Authorizations
Query Parameters
Comma separated list of asset identifiers - accepts slugs (e.g. 'bitcoin') or UUIDs
Example:
"bitcoin,ethereum"
Page number (1-indexed)
Example:
1
Number of results per page
Example:
10
Column to sort by (default: circulating-marketcap)
Available options:
slug, rank, price-usd, circulating-marketcap, fully-diluted-marketcap, volume-24h, price-change-24h, price-change-7d, price-change-30d Sort direction: asc or desc (default: desc)
Available options:
asc, desc 
